Package net.shibboleth.idp.cas.proxy

# Interface ProxyValidator

All Known Implementing Classes:
  `HttpClientProxyValidator`

public interface ProxyValidator
Strategy pattern component for proxy callback endpoint validation.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(ProfileRequestContext profileRequestContext, URI proxyCallbackUri)`
Validates the proxy callback endpoint.

## Method Details

### validate

void validate(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull URI proxyCallbackUri) throws GeneralSecurityException
Validates the proxy callback endpoint.

Parameters:
  `profileRequestContext` - Profile request context.
  `proxyCallbackUri` - Proxy callback URI to validate.
Throws:
  `GeneralSecurityException` - On validation failure.